{% extends "layout.html" %}
{% block body %}
<div class="container">

    <h2>Matches</h2>
    <table class="table table-hover table-striped table-responsive" id="datatable">
        <thead>
        <tr>
            <th></th>
            <th data-priority="1">#</th>
            <th data-priority="2">Matchtime</th>
            <th>Quality</th>
            <th>expected score</th>
            <th>actual score</th>
        </tr>
        </thead>

        {%- for match in matches %}
        <tr>
            <td></td>
            <td><a href="/match/{{ match.id }}">{{ match.id }}</a></td>
            <td data-order="{{ match.matchtime.strftime('%Y%m%d%H%M') }}">{{ match.matchtime.strftime('%Y-%m-%d %H:%M') }}</td>
            <td>{{match.match_quality}} </td>
            <td>{{ match.expected_result_t1 }}:{{ match.expected_result_t2 }}</td>
            <td>{{ match.result_team1 }}:{{ match.result_team2 }}</td>

        </tr>
        {%- endfor %}
    </table>

</div>
<script>
    $(document).ready( function () {

    $('#datatable').DataTable( {
        searching: false,
        responsive: {
            details: {
                type: 'column',
                target: 'tr'
            }
        },
        columnDefs: [ {
            className: 'control',
            targets:   0
        } ],
        order: [ 1, 'desc' ]
    } );
} );

</script>

{% endblock %}